Skip to main content
GET
/
public
/
v2
/
vendor-prepayments
/
{record_number}
/
Get VendorPrepayment record
curl --request GET \
  --url https://api.dualentry.com/public/v2/vendor-prepayments/{record_number}/ \
  --header 'X-API-KEY: <api-key>'
import requests

url = "https://api.dualentry.com/public/v2/vendor-prepayments/{record_number}/"

headers = {"X-API-KEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};

fetch('https://api.dualentry.com/public/v2/vendor-prepayments/{record_number}/', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "internal_id": 123,
  "transaction_ids": [
    123
  ],
  "number": 123,
  "company_id": 123,
  "company_name": "<string>",
  "company_currency": "<string>",
  "vendor_id": 123,
  "vendor_name": "<string>",
  "account_number": 123,
  "date": "2023-12-25",
  "transaction_date": "2023-12-25",
  "check_number": "<string>",
  "amount": "<string>",
  "used_amount": "<string>",
  "remaining_amount": "<string>",
  "exchange_rate": "<string>",
  "bank_or_undeposited_funds_amount": "<string>",
  "memo": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "custom_fields": [],
  "attachments": [],
  "payment_method_id": 123,
  "recurring_record_id": 123
}
{
  "errors": {},
  "success": false
}
{
  "errors": {},
  "success": false
}
{
  "errors": {},
  "success": false
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

record_number
integer
required

The number attribute of the record.

Query Parameters

search
string | null
company_id
integer[] | null
number
integer[] | null
vendor_id
integer[] | null
start_date
string<date> | null
end_date
string<date> | null
transaction_currency
enum<string> | null
Available options:
AED,
AFN,
ALL,
AMD,
ANG,
AOA,
ARS,
AUD,
AWG,
AZN,
BAM,
BBD,
BDT,
BGN,
BHD,
BIF,
BMD,
BND,
BOB,
BRL,
BSD,
BTN,
BWP,
BYN,
BZD,
CAD,
CDF,
CHF,
CLF,
CLP,
CNY,
COP,
CRC,
CUP,
CVE,
CZK,
DJF,
DKK,
DOP,
DZD,
EGP,
ERN,
ETB,
EUR,
FJD,
FKP,
GBP,
GEL,
GHS,
GIP,
GMD,
GNF,
GTQ,
GYD,
HKD,
HNL,
HTG,
HUF,
IDR,
ILS,
INR,
IQD,
IRR,
ISK,
JMD,
JOD,
JPY,
KES,
KGS,
KHR,
KMF,
KPW,
KRW,
KWD,
KYD,
KZT,
LAK,
LBP,
LKR,
LRD,
LSL,
LYD,
MAD,
MDL,
MGA,
MKD,
MMK,
MNT,
MOP,
MRU,
MUR,
MVR,
MWK,
MXN,
MYR,
MZN,
NAD,
NGN,
NIO,
NOK,
NPR,
NZD,
OMR,
PAB,
PEN,
PGK,
PHP,
PKR,
PLN,
PYG,
QAR,
RON,
RSD,
RUB,
RWF,
SAR,
SBD,
SCR,
SDG,
SEK,
SGD,
SHP,
SLL,
SOS,
SRD,
STN,
SVC,
SYP,
SZL,
THB,
TJS,
TMT,
TND,
TOP,
TRY,
TTD,
TWD,
TZS,
UAH,
UGX,
USD,
UYU,
UZS,
VES,
VND,
VUV,
WST,
XAF,
XAG,
XAU,
XCD,
XDR,
XOF,
XPD,
XPF,
XPT,
YER,
ZAR,
ZMW,
ZWL
record_status
enum<string>[] | null
Available options:
draft,
posted,
archived
recurring_record_id
integer[] | null
updated_after
string<date-time> | null
updated_before
string<date-time> | null

Response

OK

internal_id
integer
required
transaction_ids
integer[]
required
number
integer
required
company_id
integer
required
company_name
string
required
company_currency
string
required
vendor_id
integer
required
vendor_name
string
required
account_number
integer
required
date
string<date>
required
transaction_date
string<date>
required
check_number
string
required
amount
string
required

Total transaction amount

Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d{0,2}0*$
used_amount
string
required

Amount that was already applied to Bills

Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d{0,2}0*$
remaining_amount
string
required

Amount that can be applied to Bills

Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d{0,2}0*$
currency_iso_4217_code
enum<string>
required
Available options:
AED,
AFN,
ALL,
AMD,
ANG,
AOA,
ARS,
AUD,
AWG,
AZN,
BAM,
BBD,
BDT,
BGN,
BHD,
BIF,
BMD,
BND,
BOB,
BRL,
BSD,
BTN,
BWP,
BYN,
BZD,
CAD,
CDF,
CHF,
CLF,
CLP,
CNY,
COP,
CRC,
CUP,
CVE,
CZK,
DJF,
DKK,
DOP,
DZD,
EGP,
ERN,
ETB,
EUR,
FJD,
FKP,
GBP,
GEL,
GHS,
GIP,
GMD,
GNF,
GTQ,
GYD,
HKD,
HNL,
HTG,
HUF,
IDR,
ILS,
INR,
IQD,
IRR,
ISK,
JMD,
JOD,
JPY,
KES,
KGS,
KHR,
KMF,
KPW,
KRW,
KWD,
KYD,
KZT,
LAK,
LBP,
LKR,
LRD,
LSL,
LYD,
MAD,
MDL,
MGA,
MKD,
MMK,
MNT,
MOP,
MRU,
MUR,
MVR,
MWK,
MXN,
MYR,
MZN,
NAD,
NGN,
NIO,
NOK,
NPR,
NZD,
OMR,
PAB,
PEN,
PGK,
PHP,
PKR,
PLN,
PYG,
QAR,
RON,
RSD,
RUB,
RWF,
SAR,
SBD,
SCR,
SDG,
SEK,
SGD,
SHP,
SLL,
SOS,
SRD,
STN,
SVC,
SYP,
SZL,
THB,
TJS,
TMT,
TND,
TOP,
TRY,
TTD,
TWD,
TZS,
UAH,
UGX,
USD,
UYU,
UZS,
VES,
VND,
VUV,
WST,
XAF,
XAG,
XAU,
XCD,
XDR,
XOF,
XPD,
XPF,
XPT,
YER,
ZAR,
ZMW,
ZWL
exchange_rate
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d{0,16}0*$
bank_or_undeposited_funds_amount
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d{0,2}0*$
memo
string
required
record_status
enum<string>
required
Available options:
draft,
posted,
archived
paper_check_status
enum<string> | null
required
Available options:
printed,
not_printed,
archived
created_at
string<date-time>
required

Date and time the record was created

updated_at
string<date-time>
required

Date and time the record was last updated

custom_fields
CustomFieldValuePairOutputSchema · object[]
attachments
PublicAttachmentSchemaOut · object[]
payment_method_id
integer | null
recurring_record_id
integer | null
Last modified on July 13, 2026